Bug 469646 - (CVE-2008-4810) CVE-2008-4810 php-Smarty: PHP code execution via unescaped $ sign or double-quoted string
CVE-2008-4810 php-Smarty: PHP code execution via unescaped $ sign or double-q...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20081031,impact=m...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 03:56 EST by Tomas Hoger
Modified: 2008-11-11 05:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 11:42:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-03 03:56:50 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4810 to the following vulnerability:

The _expand_quoted_text function in libs/Smarty_Compiler.class.php in
Smarty 2.6.20 before r2797 allows remote attackers to execute
arbitrary PHP code via vectors related to templates and (1) a
dollar-sign character, aka "php executed in templates;" and (2) a
double quoted literal string, aka a "function injection security
hole." NOTE: each vector affects slightly different SVN revisions.

References:
http://www.openwall.com/lists/oss-security/2008/10/25/2
http://securityvulns.ru/Udocument746.html
http://code.google.com/p/smarty-php/source/detail?r=2784&path=/trunk/libs/Smarty_Compiler.class.php
http://code.google.com/p/smarty-php/source/detail?r=2797&path=/trunk/libs/Smarty_Compiler.class.php
http://smarty-php.googlecode.com/svn/trunk/NEWS
http://bugs.gentoo.org/attachment.cgi?id=169804&action=view
http://bugs.gentoo.org/show_bug.cgi?id=243856
http://secunia.com/advisories/32329
Comment 1 Christopher Stone 2008-11-03 11:42:46 EST
These (this bug and bug #469648) bug descriptions are confusing in inaccurate as far as I can tell.

If I understand this correctly, revision 2784 added a new security bug which is not in the version of Smarty that is in Fedora.  So therefore this is not a bug for Fedora.

Marking as NOTABUG.

Please reopen if I am missing something....
Comment 2 Tomas Hoger 2008-11-11 05:12:04 EST
Christopher, thanks for checking.  I did not have enough time to investigate closely, but filed the bug to make sure that you (as a maintainer) are aware.

Bit more reasoning why this CVE got assigned described here:
  http://www.openwall.com/lists/oss-security/2008/11/04/3

Note You need to log in before you can comment on or make changes to this bug.